API Explorer 1 endpoints

Get Public Accounts at Bank

GET /obp/v7.0.0/banks/BANK_ID/accounts/public

OBPv2.0.0-publicAccountsAtOneBank No role required Account-PublicAccountPublicData

Returns a list of the public accounts (Anonymous access) at BANK_ID. For each account the API returns the ID and the available views.

User Authentication is Optional. The User need not be logged in.

URL Parameters:

BANK_ID: gh.29.uk

JSON response body fields (7)
accounts
bank_id
gh.29.uk
id
d8839721-ad8f-45dd-9f78-2080414b93f9
is_public
false
label
My Account
short_name
views_available
Example success response
{
  "accounts": [
    {
      "id": "8ca8a7e4-6d02-48e3-a029-0b2bf89de9f0",
      "label": "NoneLabel",
      "bank_id": "gh.29.uk",
      "views_available": [
        {
          "id": "1",
          "short_name": "HHH",
          "is_public": true
        }
      ]
    }
  ]
}
Possible errors (1)
  • OBP-50000: Unknown Error.
Implemented by OBPv2.0.0 publicAccountsAtOneBank Originally /obp/v2.0.0/banks/BANK_ID/accounts/public